# sdBoolean node — Material Maker documentation

# sdBoolean node

The sdBoolean node generates a signed distance image for the combination (union, intersection or difference) of its inputs.

## Inputs

The sdBoolean node accepts 2 inputs in signed distance function format.

## Outputs

The sdBoolean node generates a signed distance function of the combination of its inputs.

## Parameters

The sdBoolean node accepts the operator it applies (union, intersection or difference) as parameter.

## Example images